Package org.codehaus.groovy.reflection.stdclasses

# Class ObjectCachedClass

java.lang.Object
org.codehaus.groovy.reflection.CachedClass
org.codehaus.groovy.reflection.stdclasses.ObjectCachedClass

public class ObjectCachedClass extends CachedClass
Provides optimized reflection caching for `Object`. The root cached class that accepts all argument types for assignment, making it a universal fallback for method invocation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

  `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

  `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectCachedClass(ClassInfo classInfo)`
  Constructs a cached class representation for `Object`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CachedClass`
  `getCachedSuperClass()`
  Returns `null` since `Object` has no superclass in the type hierarchy.
  `boolean`
  `isAssignableFrom(Class argument)`
  Accepts any class as assignable to `Object`.

  ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

  `addNewMopMethods, coerceArgument, getCachedClass, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ObjectCachedClass

    public ObjectCachedClass(ClassInfo classInfo)
    Constructs a cached class representation for `Object`.
    Parameters:
      `classInfo` - the class information associated with `Object`

- ## Method Details

  - ### getCachedSuperClass

    public CachedClass getCachedSuperClass()
    Returns `null` since `Object` has no superclass in the type hierarchy.
    Overrides:
      `getCachedSuperClass` in class `CachedClass`
    Returns:
      `null` always

  - ### isAssignableFrom

    public boolean isAssignableFrom(Class argument)
    Accepts any class as assignable to `Object`. This is always true since all Java classes inherit from `Object`.
    Overrides:
      `isAssignableFrom` in class `CachedClass`
    Parameters:
      `argument` - the class to check
    Returns:
      `true` always